"""DSPy Configuration Module"""

from dspy import settings
import os


class DSPyConfig:
    @classmethod
    def setup(cls):
        """Configure DSPy with secure defaults"""
        settings.configure(
            lm="openai",
            model_name="gpt-4-turbo",
            api_key=os.getenv("OPENAI_API_KEY"),
            max_tokens=1000,
            temperature=0.1,  # Low temperature for consistent outputs
        )
