import networkx as nx
import pandas as pd


class KnowledgeGraph:
    def __init__(self):
        self.graph = nx.DiGraph()

    def update(self, data):
        df = pd.DataFrame(data)
        for _, row in df.iterrows():
            self.graph.add_node(row["timestamp"], type="market_data", **row)

    def query(self, cypher_query):
        # Simplified query processing
        return [n for n in self.graph.nodes(data=True) if n[1]["type"] == "strategy"]

    def find_market_regimes(self):
        return nx.clustering(self.graph)
