class SecurityException(Exception):
    """Base class for security-related exceptions"""

    pass


class AuthenticationError(SecurityException):
    """Raised when authentication fails"""

    pass


class AuthorizationError(SecurityException):
    """Raised when authorization fails"""

    pass


class TokenError(SecurityException):
    """Raised when there are issues with JWT tokens"""

    pass


class SignatureError(SecurityException):
    """Raised when strategy signature verification fails"""

    pass
